org.apache.olingo.commons.api.edm.annotation

## Interface EdmRecord

- All Superinterfaces:
    EdmAnnotatable, EdmDynamicExpression, EdmExpression

      public interface EdmRecord
      extends EdmDynamicExpression, EdmAnnotatable

  The edm:Record expression enables a new entity type or complex type instance to be constructed. A record expression contains zero or more edm:PropertyValue (See `EdmPropertyValue` )elements.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.olingo.commons.api.edm.annotation.EdmExpression

      `EdmExpression.EdmExpressionType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<EdmPropertyValue>` | `getPropertyValues()` List of edm:PropertyValues (See `EdmPropertyValue`
    `EdmStructuredType` | `getType()` Returns the entity type or complex type to be constructed.
    `FullQualifiedName` | `getTypeFQN()`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.annotation.EdmDynamicExpression

      `asAnd, asAnnotationPath, asApply, asCast, asCollection, asEq, asGe, asGt, asIf, asIsOf, asLabeledElement, asLabeledElementReference, asLe, asLt, asNavigationPropertyPath, asNe, asNot, asNull, asOr, asPath, asPropertyPath, asPropertyValue, asRecord, asUrlRef, isAnd, isAnnotationPath, isApply, isCast, isCollection, isEq, isGe, isGt, isIf, isIsOf, isLabeledElement, isLabeledElementReference, isLe, isLt, isNavigationPropertyPath, isNe, isNot, isNull, isOr, isPath, isPropertyPath, isPropertyValue, isRecord, isUrlRef`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.annotation.EdmExpression

      `asConstant, asDynamic, getExpressionName, getExpressionType, isConstant, isDynamic`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmAnnotatable

      `getAnnotation, getAnnotations`

- - ### Method Detail

    - #### getPropertyValues

          List<EdmPropertyValue> getPropertyValues()

      List of edm:PropertyValues (See `EdmPropertyValue`
      Returns:
        List of edm:PropertyValues (See `EdmPropertyValue`

    - #### getType

          EdmStructuredType getType()

      Returns the entity type or complex type to be constructed.
      Returns:
        Entity type or complex type

    - #### getTypeFQN

          FullQualifiedName getTypeFQN()

      Returns:
        Fully Qualified Name of the Record

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.